# -*- coding: utf-8 -*-
"""landingemail to be confirmed

Revision ID: 7602a266c9a4
Revises:
Create Date: 2023-11-10 14:16:33.065727

"""
import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision = "7602a266c9a4"
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "landing_emails",
        sa.Column("id", sa.Uuid(), nullable=False),
        sa.Column("email", sa.String(length=256), nullable=True),
        sa.Column("confirm_date", sa.DateTime(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_table(
        "user",
        sa.Column("id", sa.Uuid(), nullable=False),
        sa.Column("username", sa.String(length=256), nullable=False),
        sa.Column(
            "oauth_provider", sa.Enum("GITHUB", name="oauthprovider"), nullable=True
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_table(
        "access_token",
        sa.Column("token", sa.Uuid(), nullable=False),
        sa.Column("user_id", sa.Uuid(), nullable=False),
        sa.ForeignKeyConstraint(
            ["user_id"],
            ["user.id"],
        ),
        sa.PrimaryKeyConstraint("token"),
    )
    op.create_table(
        "document",
        sa.Column("id", sa.Uuid(), nullable=False),
        sa.Column("user_id", sa.Uuid(), nullable=False),
        sa.Column("filename", sa.String(length=256), nullable=False),
        sa.ForeignKeyConstraint(
            ["user_id"],
            ["user.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("document")
    op.drop_table("access_token")
    op.drop_table("user")
    op.drop_table("landing_emails")
    # ### end Alembic commands ###
