# -*- coding: utf-8 -*-
"""team-topic subscriptions

Revision ID: b86be333d9be
Revises: d7e5c92de58b
Create Date: 2023-12-03 14:49:59.451580

"""
import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision = "b86be333d9be"
down_revision = "d7e5c92de58b"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "user_team_topics",
        sa.Column("id", sa.Uuid(), nullable=False),
        sa.Column("user_id", sa.Uuid(), nullable=False),
        sa.Column("team_topic_id", sa.Uuid(), nullable=False),
        sa.ForeignKeyConstraint(
            ["team_topic_id"],
            ["team_topics.id"],
        ),
        sa.ForeignKeyConstraint(
            ["user_id"],
            ["user.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(
        "user_team_topics_idx",
        "user_team_topics",
        ["user_id", "team_topic_id"],
        unique=False,
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index("user_team_topics_idx", table_name="user_team_topics")
    op.drop_table("user_team_topics")
    # ### end Alembic commands ###
