# -*- coding: utf-8 -*-
"""proper-subscription-handling

Revision ID: baeb5bf63906
Revises: 250431153a25
Create Date: 2023-12-21 14:13:17.069849

"""
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

from alembic import op

# revision identifiers, used by Alembic.
revision = "baeb5bf63906"
down_revision = "250431153a25"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "billing_subscription",
        sa.Column("id", sa.Uuid(), nullable=False),
        sa.Column("invoice_id", sa.Uuid(), nullable=False),
        sa.Column("created_at", sa.DateTime(), nullable=False),
        sa.Column("name", sa.String(length=64), nullable=False),
        sa.Column("description", sa.String(length=64), nullable=False),
        sa.Column("quantity", sa.Integer(), nullable=False),
        sa.Column("price", sa.Integer(), nullable=False),
        sa.Column("team_id", sa.Uuid(), nullable=True),
        sa.Column("stripe_key", sa.String(length=32), nullable=False),
        sa.Column("stripe_subscription_id", sa.String(length=32), nullable=True),
        sa.ForeignKeyConstraint(
            ["invoice_id"],
            ["billing_invoice.id"],
        ),
        sa.ForeignKeyConstraint(
            ["team_id"],
            ["team.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    op.drop_table("billing_product")
    op.alter_column(
        "team", "headline", existing_type=mysql.VARCHAR(length=64), nullable=True
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "team", "headline", existing_type=mysql.VARCHAR(length=64), nullable=False
    )
    op.create_table(
        "billing_product",
        sa.Column("id", mysql.CHAR(length=32), nullable=False),
        sa.Column("invoice_id", mysql.CHAR(length=32), nullable=False),
        sa.Column("name", mysql.VARCHAR(length=64), nullable=False),
        sa.Column("description", mysql.VARCHAR(length=64), nullable=False),
        sa.Column(
            "quantity",
            mysql.INTEGER(display_width=11),
            autoincrement=False,
            nullable=False,
        ),
        sa.Column(
            "price",
            mysql.INTEGER(display_width=11),
            autoincrement=False,
            nullable=False,
        ),
        sa.Column("team_id", mysql.CHAR(length=32), nullable=True),
        sa.Column("stripe_key", mysql.VARCHAR(length=32), nullable=False),
        sa.ForeignKeyConstraint(
            ["invoice_id"], ["billing_invoice.id"], name="billing_product_ibfk_1"
        ),
        sa.ForeignKeyConstraint(
            ["team_id"], ["team.id"], name="billing_product_ibfk_2"
        ),
        sa.PrimaryKeyConstraint("id"),
        mysql_collate="utf8mb4_unicode_ci",
        mysql_default_charset="utf8mb4",
        mysql_engine="InnoDB",
    )
    op.drop_table("billing_subscription")
    # ### end Alembic commands ###
