# -*- coding: utf-8 -*-
"""add-team-type

Revision ID: df9cccc5327e
Revises: 195b7fada1ce
Create Date: 2023-12-07 13:19:24.481811

"""
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

from alembic import op

# revision identifiers, used by Alembic.
revision = "df9cccc5327e"
down_revision = "195b7fada1ce"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "team",
        sa.Column(
            "type",
            sa.Enum("PUBLIC", "RESTRICTED", "PRIVATE", name="teamtype"),
            nullable=False,
        ),
    )
    op.drop_column("team", "is_private")
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "team",
        sa.Column(
            "is_private",
            mysql.TINYINT(display_width=1),
            autoincrement=False,
            nullable=False,
        ),
    )
    op.drop_column("team", "type")
    # ### end Alembic commands ###
